## mingw-w64-scalapack-2.2.2-1.src.tar.zst

=== BLACS/CMakeLists.txt ===
add_subdirectory(SRC)
if(${SCALAPACK_BUILD_TESTS})
  add_subdirectory(TESTING)
endif()
